JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | List of all members
AudioData::Format< DataFormatIn, EndiannessIn > Struct Template Reference
juce_audio_basics » buffers

A struct that contains a SampleFormat and Endianness to be used with the source and destination types when calling the interleaveSamples() and deinterleaveSamples() helpers. More...

`#include <juce_AudioDataConverters.h>`

## Public Types
using | DataFormat = DataFormatIn
using | Endianness = EndiannessIn

## Detailed Description

template<typename DataFormatIn, typename EndiannessIn>
struct AudioData::Format< DataFormatIn, EndiannessIn >

A struct that contains a SampleFormat and Endianness to be used with the source and destination types when calling the interleaveSamples() and deinterleaveSamples() helpers.

See also
  interleaveSamples, deinterleaveSamples

## Member Typedef Documentation

## ◆ DataFormat

template<typename DataFormatIn , typename EndiannessIn >

using AudioData::Format< DataFormatIn, EndiannessIn >::DataFormat = DataFormatIn

## ◆ Endianness

template<typename DataFormatIn , typename EndiannessIn >

using AudioData::Format< DataFormatIn, EndiannessIn >::Endianness = EndiannessIn

The documentation for this struct was generated from the following file:

- juce_AudioDataConverters.h